from django.urls import re_path
from django.contrib import admin
from django.urls import path
 
from .views import userView 
from .views import spaceView 
from .views import AssetBundle 
from django.urls import include, path
from django.conf import settings
from django.conf.urls.static import static


urlpatterns = [

    path('admin/', admin.site.urls),


    # re_path(r'^signup/$', userView.signup, name="signup"),
 
    re_path('signup', userView.signup , name="signup"),
    re_path('login', userView.login),
    re_path('test_token', userView.test_token),

    re_path('editProfile/', userView.editProfile, name='edit-profile'),
    re_path('resetPassword/', userView.resetPassword, name='reset-password'),


    re_path('getInfo', userView.getInfo),

    re_path('sendSmsVerification', userView.sendSmsVerification),
    re_path('sendEmailVerification', userView.sendEmailVerification),
    re_path('submitEmailVerification', userView.submitEmailVerification),
    re_path('submitSmsVerification', userView.submitSmsVerification),


    re_path('sendForgetPasswordCode', userView.sendForgetPasswordCode),
    re_path('sendCodeAndNewPassword', userView.sendCodeAndNewPassword),
 
    re_path('requestResetCode', userView.requestResetCode),
    re_path('verifyResetCode', userView.verifyResetCode),


    

    re_path('uploadImage/', userView.upload_image , name='upload_image'),
    re_path('uploadGlb/', userView.upload_glb , name='upload_glb'),
    re_path('uploadVideo/', userView.upload_video , name='upload_video'),
    re_path('uploadPdf/', userView.upload_pdf , name='upload_pdf'),
    
    re_path('add_subscription', userView.addSubscription),
    re_path('add_teamMember', userView.addTeamMember),
    re_path('get_team_member_info', userView.get_team_member_info),
    re_path('add_space', spaceView.addSpace),

    re_path('get_space', spaceView.getSpaces),
    re_path('get_assigned_assetbundle_rooms', AssetBundle.getAssignedAssetBundleRooms , name='get_assigned_assetbundle_rooms'),
   

   
]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)


 